{ lib, config, pkgs, ... }: {
  nixpkgs.overlays = [(self: super: rec {
    # Discord fix
    discord = super.discord.override {
      nss = super.pkgs.nss_latest;
    };
    discord-canary = super.discord-canary.override {
      nss = super.pkgs.nss_latest;
    };
  })];

  # Bitwarden Outdaed Nodejs
  nixpkgs.config.permittedInsecurePackages = [
    "openssl-1.1.1v"
  ];

  services.gnome.gnome-keyring.enable = true;
  
  environment.systemPackages = with pkgs; [
      firefox
      chromium

      bitwarden-desktop
      bitwarden-cli

      nextcloud-client
      kdePackages.kdeconnect-kde

      discord
      signal-desktop
      element-desktop
      zoom-us

      anki
      (pkgs.wrapOBS {
        plugins = with pkgs.obs-studio-plugins; [
          wlrobs
          obs-backgroundremoval
          obs-vkcapture
          input-overlay
          obs-pipewire-audio-capture
        ];
      })
  ];
}
